C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**** the mesh is printed :                                         ***
C**   -------------------                                           ***
C**                                                                 ***
      IF (MYPROC.NE.1) THEN
        IVEM(20)=LOUT
        IVEM(21)=0
      ELSE
	IVEM(20)=8
        IVEM(21)=1111
        NAME='%MESH_FILEOUT_'
        OPEN(8,FILE=NAME,STATUS='UNKNOWN',FORM='FORMATTED')
      ENDIF
      IVEM(22)=3
      CALL VEMU01(LIVEM,IVEM,LNEK,NEK,LRPARM,RPARM,LIPARM,IPARM,
     &            LDNOD,DNOD,LRDPRM,RDPARM,LIDPRM,IDPARM,
     &            LNODN,NODNUM,LNOD,NOD,LNOPRM,NOPARM,
     &            LBIG,RBIG,IBIG)
      IF (IVEM(2).NE.0) GOTO 9999
      IF (MYPROC.EQ.1) THEN
	CLOSE(8)
	WRITE(1,3000) 1,'print'
	WRITE(1,*) NAME(:INDEX(NAME,' '))
      ENDIF
